summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rw-r--r--src/bootstrap.sh1
-rwxr-xr-xsrc/profile.sh2
2 files changed, 3 insertions, 0 deletions
diff --git a/src/bootstrap.sh b/src/bootstrap.sh
index d82380d..7215d9b 100644
--- a/src/bootstrap.sh
+++ b/src/bootstrap.sh
@@ -58,6 +58,7 @@ bootstrap () {
if [ -e ${SYSROOT} ] && [ "$(ls -1 ${SYSROOT})" != "0" ]; then
if prompt_question "${WHITE}System already exists on ${SYSROOT}, clear?"; then
+ umount -r ${SYSROOT}/*
rm -rf ${SYSROOT}/*
fi
fi
diff --git a/src/profile.sh b/src/profile.sh
index 165bf0a..6eb3bbf 100755
--- a/src/profile.sh
+++ b/src/profile.sh
@@ -8,6 +8,8 @@ export HBAR_RED="-c ${BLACK}${BG_RED}"
export CONF_FILE="/etc/xipkg.conf"
+[ ! -f "$CONF_FILE" ] && echo "No config found!" && exit 1
+
export CURL_OPTS="-sSL"
export DEFAULT_OPTION=$(parseconf -v default_cmd)